Bug 1308365 - slic3r crashes when loading known good stl files
slic3r crashes when loading known good stl files
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: slic3r (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-14 15:31 EST by John Duchek
Modified: 2016-12-20 13:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:44:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is an stl file that slic3r is having trouble with. It is an sd card holder (29.77 KB, application/octet-stream)
2016-02-14 15:31 EST, John Duchek
no flags Details

  None (edit)
Description John Duchek 2016-02-14 15:31:39 EST
Created attachment 1127097 [details]
This is an stl file that slic3r is having trouble with. It is an sd card holder

Description of problem:
slic3r loads a known good stl file, announces that it is too large and was automatically scaled down to fit your print bed, on saying 'ok' slic3r closes completely.
The file is 'known good' as it loads into the slic3r in Fedora 22 with no problem (not too large)

I ran from terminal with these results:

[jduchek@localhost ~]$ slic3r
Warning: File size doesn't match number of facets in the header
Caught C++ exception of unknown type at /usr/share/perl5/vendor_perl/Slic3r/GUI/Plater.pm line 1791.



Version-Release number of selected component (if applicable):
1.2.9-3.fc23

How reproducible:
always on the files it decides are too large.  Some files still load properly.

Steps to Reproduce:
1.Run slic3r
2.add affected file (stl)
3.say ok, when it tells you it has fixed the file.

Actual results:  slic3r closes so you have to start over


Expected results: display the loaded file.


Additional info: I have attached an affected stl file
Comment 1 Miro Hrončok 2016-02-15 09:42:49 EST
I can reproduce this.

Netfabb basic says this is an invalid STL file.

ADMeshGUI silently loads the file but displays nothing.

ADMesh for command line produces the following output:


    ================= Results produced by ADMesh version 0.98.2 ================
    Input file         : sd-organizer-style.stl
    File type          : Binary STL file
    Header             : ��������������������������������������������������������������������������������
    ============== Size ==============
    Min X = -0.000000, Max X =  31139554425569280.000000
    Min Y = -4.787809, Max Y =  216341.203125
    Min Z = -0.000000, Max Z =  847403352064.000000
    ========= Facet Status ========== Original ============ Final ====
    Number of facets                 :   608                 664
    Facets with 1 disconnected edge  :    67                   0
    Facets with 2 disconnected edges :    36                   0
    Facets with 3 disconnected edges :    12                   0
    Total disconnected facets        :   115                   0
    === Processing Statistics ===     ===== Other Statistics =====
    Number of parts       :    27        Volume   :  2236782408995176448.000000
    Degenerate facets     :    19
    Edges fixed           :     0
    Facets removed        :    31
    Facets added          :    87
    Facets reversed       :   761
    Backwards edges       :     0

hexdump of a normal binary STL file looks like:

    0000000 4f43 4f4c 3d52 0000 0000 0000 0000 0000
    0000010 0000 0000 0000 0000 0000 0000 0000 0000
    *
    0000050 f06c 0000 0000 0000 0000 0000 0000 bf80
    ...

First 80 bytes are header (null terminated). Next 4 bytes are number of facets.

hexdump of your file looks like:

    0000000 ffff ffff ffff ffff ffff ffff ffff ffff
    *
    0000400 454d 4853 4d2d 5345 2d48 454d 4853 4d2d
    ...

As you can see a lot of first bytes are replaced with 0xFF. If your header is not supposed to be nonprintable garbage and number of your facets isn't max of UINT32, which the file size doesn't indicate, something is wrong with your file.

Slic3r should not crash about it. I've tested with binary from slic3r.org and also got crash (although the output in terminal is slightly different). Could you please go and report this upstream, if you think Slic3r should display a decent error message?
Comment 2 John Duchek 2016-02-17 09:47:03 EST
I passed all the information here to slic3r.org.  I have found several files that 'used to work' exhibiting this problem.  I am at a loss to see how the header could be garbage as I haven't changed them after downloading them.  Must of done something.  Anyway, thank you for the analysis and suggestions.
John
Comment 3 Miro Hrončok 2016-02-17 10:29:33 EST
For the reference: https://github.com/alexrj/Slic3r/issues/3238
Comment 4 Fedora End Of Life 2016-11-24 10:34:16 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 13:44:03 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.